Perform various operations for Symitar parameters.
Operations
getAcsGlobal
POST
Retrieve AcsGlobal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/getAcsGlobalPOST /nexum/627/2022.01/parameter/getAcsGlobal HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getAcsGlobalSelectFields
POST
Retrieve AcsGlobal parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/getAcsGlobalSelectFieldsPOST /nexum/627/2022.01/parameter/getAcsGlobalSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
},
"SelectableFields": {
"AcsGlobalFields": {
"AcsAccountManagerEnable": true,
"CreditReportExpireDays": true
}
}
}updateAcsGlobalByID
POST
Update AcsGlobal parameter configuration. Parameter updates can change institution behavior and should be tested in a controlled environment before use.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
Loading fields…
POST
/nexum/{sym}/2022.01/parameter/updateAcsGlobalByIDPOST /nexum/627/2022.01/parameter/updateAcsGlobalByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AcsGlobalUpdatableFields": {
"Type": 0,
"Description": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}